<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Current Property
Cursor Class See Also Send Feedback

The key/data pair at which the cursor currently points.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, DatabaseEntry> Current { get; private set; }

Visual Basic (Declaration)

    Public Property Current As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++

    public:
    property KeyValuePair<DatabaseEntry^, DatabaseEntry^> Current {
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> get ();
    	void set (KeyValuePair<DatabaseEntry^, DatabaseEntry^> value);
    }

# Remarks

Only one of Current, CurrentMultiple and CurrentMultipleKey will ever be non-empty.

# See Also

Cursor Class
BerkeleyDB Namespace